<html lang="en">
<head>
    <title>Exchange Rates</title>
    <link rel="stylesheet" href="https://cdn.rawgit.com/Chalarangelo/mini.css/v3.0.1/dist/mini-default.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <style>
        body {
            font-family: 'Helvetica Neue', Arial, Helvetica, sans-serif;
        }

        .text-center {
            text-align: center;
        }
    </style>
</head>
<body class="text-center">

<h1 style="margin-top: 2em">
    Pace analyzer from GPX file
</h1>

<form method=post enctype=multipart/form-data>
    <label>
        Split length (e.g. 400)
        <input type="text" name="splits" value="400">
    </label>
    <input type=file name=file>
    <input type=submit value=Upload>
</form>

{% if graph %}
    {{ graph|safe }}
{% endif %}

{% with messages = get_flashed_messages() %}
    {% if messages %}
        <ul class=flashes>
            {% for message in messages %}
                <li>{{ message }}</li>
            {% endfor %}
        </ul>
    {% endif %}
{% endwith %}

</body>
</html>
